#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	glib
Version		:	2.78.3
Release		:	14.8.0.0%{?dist}
Summary		:	GLib is the low-level core library that forms the basis for projects such as GTK+ and GNOME
Group		:	Application/libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://download.gnome.org/sources/glib

Source0		:	%{name}-%{version}.tar.xz
Patch0		:	%{name}-%{version}-skip_warnings-1.patch

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	gcc-c++
BuildRequires	:	gettext
BuildRequires	:	libffi-devel
BuildRequires	:	libxslt
BuildRequires	:	meson
BuildRequires	:	ninja
BuildRequires	:	pcre

#-----------------------------------------------------------------------------
%description
This is GLib version 2.78.3. GLib is the low-level core
library that forms the basis for projects such as GTK+ and GNOME. It
provides data structure handling for C, portability wrappers, and
interfaces for such runtime functionality as an event loop, threads,
dynamic loading, and an object system. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING NEWS README.md
%license LICENSES
%{_bindir}/gio
%{_bindir}/gio-querymodules*
%{_bindir}/glib-compile-schemas
%{_bindir}/gsettings
%{_bindir}/gdbus
%{_bindir}/gapplication
%{_libexecdir}/%{name}/gio-launch-desktop
%{_libdir}/%{name}-2.0/include/*.h
%{_libdir}/lib{%{name},gio,gobject,gmodule,gthread}-2.0.so.*
%{_datadir}/%{name}-2.0
%{_datadir}/locale/*
%{_datadir}/bash-completion/*
#No Manual if glib is compiled within lfs phase
#{_mandir}/man1/*.1.gz

#=============================================================================
%package		devel
Summary		:	A library of handy utility functions

#-----------------------------------------------------------------------------
Obsoletes	:	%{name}		< %{version}-%{release}

Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The glib-devel package includes the header files for the GLib library.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-2.0
%{_includedir}/gio-unix-2.0
%{_bindir}/glib-genmarshal
%{_bindir}/glib-gettextize
%{_bindir}/glib-mkenums
%{_bindir}/gobject-query
%{_bindir}/gtester
%{_bindir}/gtester-report
%{_bindir}/gdbus-codegen
%{_bindir}/glib-compile-resources
%{_bindir}/gresource
%{_libdir}/lib{%{name},gio,gobject,gmodule,gthread}-2.0.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*
%{_datadir}/gdb/*
%{_datadir}/gettext/its/gschema.{its,loc}

#=============================================================================
%prep
%setup -q
patch -Np1 -i  %{PATCH0}

#-----------------------------------------------------------------------------
#building application
%build

meson	setup						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	--buildtype=release				\
	-D glib_debug=disabled				\
	-D glib_assert=false				\
	-D man=false					\
	-D selinux=disabled				\
	_bld


meson	compile						\
		-C _bld

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
meson							\
	install						\
	-C _bld						\

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.a					\
	-delete

#-----------------------------------------------------------------------------
%changelog
